import { defineComponent, toRefs, openBlock, createElementBlock, createVNode, unref, withCtx, createElementVNode } from "vue";
import _sfc_main$1 from "../../../NComponents/configCommon/refConfig.mjs";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "com_09_box" };
const _hoisted_2 = { class: "com_09_box_right" };
const __default__ = defineComponent({ name: "EComponent09" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const {
      titleConfig,
      imageConfig,
      bgImageConfig,
      valueConfig,
      unitConfig
    } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", null, [
        createVNode(_sfc_main$1, {
          type: "bgImg",
          config: unref(bgImageConfig),
          class: "com_09"
        }, {
          default: withCtx(() => [
            createElementVNode("div", _hoisted_1, [
              createVNode(_sfc_main$1, {
                type: "img",
                config: unref(imageConfig),
                class: "img"
              }, null, 8, ["config"]),
              createElementVNode("div", _hoisted_2, [
                createVNode(_sfc_main$1, {
                  type: "number",
                  config: unref(valueConfig)
                }, null, 8, ["config"]),
                createVNode(_sfc_main$1, {
                  type: "text",
                  config: unref(unitConfig)
                }, null, 8, ["config"])
              ])
            ]),
            createVNode(_sfc_main$1, {
              type: "text",
              config: unref(titleConfig),
              class: "title"
            }, null, 8, ["config"])
          ]),
          _: 1
        }, 8, ["config"])
      ]);
    };
  }
});
var _EComponent09 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-13d01ed2"]]);
export { _EComponent09 as default };
